mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.PermissionSet System.Runtime.InteropServices.ComVisible(true)

Named permission sets are used in security policy administration to specify the permissions to be granted to code that belongs to certain code groups. Names are strings of alphanumeric characters. Description strings can consist of any printable characters.

Defines a permission set that has a name and description associated with it. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class from another named permission set.

  The named permission set from which to create the new instance.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Using this constructor creates a named permission set with no permissions but with an permission state. A named permission set in an unrestricted state effectively contains all permissions that implement the interface. The named permission set will contain all built-in permissions as well as all custom user-defined permissions that implement . All permissions will have the equivalent of an Unrestricted permission state. Permissions that do not implement will be empty instances.

  Initializes a new, empty instance of the class with the specified name.

  The name for the new named permission set.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  A named permission set in an unrestricted state effectively contains all permissions that implement the interface. The named permission set will contain all built-in permissions as well as all custom permissions. All permissions will have an Unrestricted . Permissions that do not implement , such as identity permissions, will be empty instances.

  Initializes a new instance of the class with the specified name in either an unrestricted or a fully restricted state.

  The name for the new named permission set.
  One of the values.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified name from a permission set.

  The name for the named permission set.
  The permission set from which to take the value of the new named permission set.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.PermissionSet To be added.

  Creates a permission set copy from a named permission set.

  A permission set that is a copy of the permissions in the named permission set.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.NamedPermissionSet `` To be added

  Creates a copy of the named permission set with a different name but the same permissions.

  A copy of the named permission set with the new name.

  The name for the new named permission set.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The description helps the administrator understand in words what permissions the set contains and its intended use.

  Gets or sets the text description of the current named permission set.

- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Boolean ``

  For more information, see .

  Determines whether the specified object is equal to the current .

  true if the specified is equal to the current object; otherwise, false.

  The object to compare with the current .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method recreates the state of a named permission set from an XML element previously created by .

  Reconstructs a named permission set with a specified state from an XML encoding.

  A security element containing the XML representation of the named permission set.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Int32

  The hash code for two instances of the same permission might differ, hence a hash code should not be used to compare two objects.

  Gets a hash code for the object that is suitable for use in hashing algorithms and data structures such as a hash table.

  A hash code for the current object.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Code groups refer to permission sets by name.

  Gets or sets the name of the current named permission set.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement

  Use to recreate the state represented by the returned element.

  Creates an XML element description of the named permission set.

  The XML representation of the named permission set.